.docker:
  image:
    name: registry.gitlab.com/rxap/gitlab-ci/kaniko:latest
    entrypoint:
      - ""
  stage: docker
  script: sh ./tools/scripts/build-and-push-docker-image.sh
  environment:
    action: prepare
    name: $ENVIRONMENT_NAME
  variables:
    GIT_LFS_SKIP_SMUDGE: "1"
  rules:
    - if: $DISABLE_DOCKER_BUILD
      when: never
    - if: $CI_COMMIT_TAG =~ /^v\d+\.\d+\.\d+/
      when: on_success
    - if: $CI_MERGE_REQUEST_TARGET_BRANCH_NAME == $CI_DEFAULT_BRANCH
      when: on_success
    - if:
        $CI_MERGE_REQUEST_SOURCE_BRANCH_NAME =~ /^renovate\// || $CI_COMMIT_BRANCH
        =~ /^renovate\//
      when: on_success
    - if:
        $CI_MERGE_REQUEST_SOURCE_BRANCH_NAME =~ /^snyk-/ || $CI_COMMIT_BRANCH =~
        /^snyk-/
      when: on_success
    - if: $CI_DEFAULT_BRANCH == $CI_COMMIT_BRANCH
      when: on_success
    - when: manual
      allow_failure: true
  needs:
    - run
  tags: [ ]
docker:
  extends: .docker
  variables:
    IMAGE_NAME: rxap/applications/services/status
  parallel:
    matrix:
      - PROJECT_NAME: status
        PATH_PREFIX: api/status
        RELEASE: $CI_COMMIT_REF_NAME
        DOCKER_CONTEXT: dist/workspace
        DOCKERFILE: shared/nestjs/Dockerfile
